POST api/sticker/duplicate
Request Information
URI Parameters
None.
Body Parameters
StickerViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| descriptions | Dictionary of string [key] and string [value] |
None. |
|
| type | StickerTypeViewModel |
None. |
|
| relations | Collection of StickerRelationViewModel |
None. |
|
| details | Collection of StickerDetailViewModel |
None. |
|
| active | boolean |
Required |
|
| code | string |
Required Max length: 50 |
|
| id | globally unique identifier |
None. |
|
| stickerType_ID | globally unique identifier |
Required |
|
| stickerRelation_IDs | Collection of globally unique identifier |
None. |
|
| site_ID | globally unique identifier |
Required |
Request Formats
application/json, text/json
Sample:
{
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"type": {
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"code": "sample string 1",
"id": "8cad482e-713f-4540-807a-f8287c1bb3d8",
"technicalDescription": "sample string 3",
"active": true
},
"relations": [
{
"active": true,
"contract_ID": "4762842a-9b9f-4e32-a7b0-05b60bb4d303",
"contractItem_ID": "7afe8b8f-d70f-46e1-96c6-f83be52c5b6e",
"departement_ID": "2a8ef4a8-b584-4551-8cdd-fc1b1d999ae4",
"departmentItem_ID": "9560684c-df48-48a5-a02f-5dc0cab0c573",
"iD": "cc57a43f-ebed-4ce6-8d47-39bb624abf5e",
"site_ID": "79ed3241-0f94-4c35-aa3f-91fa889145d8",
"siteCustomer_ID": "2873e8b5-0e6e-4f6a-a698-045e4b7062a6",
"sticker_ID": "232b2961-987f-4453-bdf3-c52b922ecdf8"
},
{
"active": true,
"contract_ID": "4762842a-9b9f-4e32-a7b0-05b60bb4d303",
"contractItem_ID": "7afe8b8f-d70f-46e1-96c6-f83be52c5b6e",
"departement_ID": "2a8ef4a8-b584-4551-8cdd-fc1b1d999ae4",
"departmentItem_ID": "9560684c-df48-48a5-a02f-5dc0cab0c573",
"iD": "cc57a43f-ebed-4ce6-8d47-39bb624abf5e",
"site_ID": "79ed3241-0f94-4c35-aa3f-91fa889145d8",
"siteCustomer_ID": "2873e8b5-0e6e-4f6a-a698-045e4b7062a6",
"sticker_ID": "232b2961-987f-4453-bdf3-c52b922ecdf8"
}
],
"details": [
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "bcf87243-e3f0-47d2-8ece-67b01d82b139",
"isStatic": true,
"stickerType_ID": "6f2e194a-0cd0-44f1-ab6d-dbbe6c908a4e",
"technicalDescription": "sample string 6"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "70e375a6-49bb-4e62-aa97-6e34b5097e9a",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "3ce9b9cd-b252-4ef0-8e3a-cff0b7e9be43",
"stickerField_ID": "b443dc4e-e600-4a1e-9c9d-609ec7d0ccbc",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
},
{
"stickerField": {
"previewValue": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"active": true,
"code": "sample string 2",
"id": "bcf87243-e3f0-47d2-8ece-67b01d82b139",
"isStatic": true,
"stickerType_ID": "6f2e194a-0cd0-44f1-ab6d-dbbe6c908a4e",
"technicalDescription": "sample string 6"
},
"active": true,
"backgroundColor": "sample string 2",
"bold": true,
"fontSize": 4,
"foregroundColor": "sample string 5",
"id": "70e375a6-49bb-4e62-aa97-6e34b5097e9a",
"italic": true,
"staticValue": "sample string 8",
"sticker_ID": "3ce9b9cd-b252-4ef0-8e3a-cff0b7e9be43",
"stickerField_ID": "b443dc4e-e600-4a1e-9c9d-609ec7d0ccbc",
"stringLength": 1,
"stringStart": 1,
"zoneNumber": 11
}
],
"active": true,
"code": "sample string 2",
"id": "b2a2a48e-dd8a-4486-8d9b-72a3ee69ae3a",
"stickerType_ID": "72e7e15f-a75a-42e2-bcdb-3044f0c32f5a",
"stickerRelation_IDs": [
"cf8d1f7b-7a58-4f8f-ad14-394e916e8e92",
"aab0dc66-c61f-42c1-aff4-788f6f228f12"
],
"site_ID": "6f2a44ac-152a-40d8-996f-ff398857f5e4"
}
application/xml
Sample:
text/xml
Sample:
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"91fedcd0-465b-4f6c-a7a4-34a00c6ef341"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">91fedcd0-465b-4f6c-a7a4-34a00c6ef341</guid>